CVE-2005-0034

NameCVE-2005-0034
DescriptionAn "incorrect assumption" in the authvalidated validator function in BIND 9.3.0, when DNSSEC is enabled, allows remote attackers to cause a denial of service (named server exit) via crafted DNS packets that cause an internal consistency test (self-check) to fail.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
bind9 (PTS)bullseye (security), bullseye1:9.16.48-1fixed
bookworm, bookworm (security)1:9.18.24-1fixed
sid, trixie1:9.19.24-185-g392e7199df2-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
bind9sourcewoody(not affected)
bind9sourcesarge(not affected)
bind9source(unstable)1:9.3.1

Notes

only affects bind9 9.3.0, sarge and woody have an earlier versions

Search for package or bug name: Reporting problems